#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.3.2.1
visibility:           public
id:                   typst-0.3.2.1-JSwo0M6a2eG9JLDwAuWpVe
key:                  typst-0.3.2.1-JSwo0M6a2eG9JLDwAuWpVe
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.7
    and currently offers only partial support.

category:             Text
abi:                  28c750c54e13a5337bccfcbdca9d6f57
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.0.2/site-local/typst-0.3.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/typst-0.3.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.3.2.1-JSwo0M6a2eG9JLDwAuWpVe
depends:
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib array-0.5.4.0 base-4.15.1.0
    bytestring-0.10.12.1 cassava-0.5.3.0-21E6IramGPt9RX3ff0Au8U
    containers-0.6.4.1 digits-0.3.1-J0umczGFyAN5xz7WkUH6dG
    directory-1.3.6.2 filepath-1.4.2.1 mtl-2.2.2
    ordered-containers-0.2.3-1tstpx5kksg3nCXqs5HGNP parsec-3.1.14.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-I0UrgtK2N0gKpXS2O34Vp5
    scientific-0.3.7.0-7NfSNSNq2I6Foqt8fbnY9W text-1.2.5.0 time-1.9.3
    toml-parser-1.3.1.3-29zeKI4r4EpEDk7eu9mweV
    typst-symbols-0.1.4-2icseNI24Y1Ac1rOLOPLf
    vector-0.13.1.0-EeG9oFm4RPx9bHWOkj59Bl
    xml-conduit-1.9.1.3-3Ybex0cyCxaLjgHLHdUywD
    yaml-0.11.11.2-BgMJ37J0ssw591qXl1paRN

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

